/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", "functions_rela" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultLoadSystem_8h.html#a17dc91fc4521efa9a3fb25bc4106701ea287d8fd2f1341d33345ed14566a3c1da",
"InstanceId_8h_source.html",
"MediaProducts_8h.html#a3bdc0b742b6428b3390de201ed59f51d",
"ProblemSolutionCombi_8cc_source.html",
"RepomdFileReader_8cc_source.html",
"SetRelationMixin_8h.html#a160af7189da3631b7b36ba6969421007",
"Target_8cc.html#a72fd01026d583aa1fbcd27ac3d2398ba",
"base_2ExternalDataSource_8h_source.html",
"classzypp_1_1ByteCount.html#a2e61836e0b4ffdf3f801be9f51436812",
"classzypp_1_1CheckSum.html#a490871a81d21f517ef7855eb32870975",
"classzypp_1_1DefaultIntegral.html#afcd3c154e46761d321ad811fd09f6626",
"classzypp_1_1Fetcher_1_1Impl.html#ab4db8c0f2342ecff4a201d8ed0366b15",
"classzypp_1_1IdStringType.html#acfbe9a1ee4406272c34fb4ef81b338a0",
"classzypp_1_1LogThread.html#adc3d967b7fda3e80fd53f048700e9cff",
"classzypp_1_1Patch.html#aae7f1bbdcdf2fa22087264f03e02260d",
"classzypp_1_1PoolItemBest.html#ad6dad2c58c5c2b8a7598c62e30a86b40",
"classzypp_1_1ProgressData_1_1Data.html#a6c3aa9a82bf8a7278b25f3cd704e2f6e",
"classzypp_1_1RepoStatus.html#a65bef81f148b6700f6b327c5c66e1a0f",
"classzypp_1_1ResPoolProxy.html#adb4632d093befd52a3cd81ef85c0ee4c",
"classzypp_1_1Resolver.html#aa4b36c6689bad3a0eb272f0e648fd122",
"classzypp_1_1UpdateNotificationFile.html#a899f3efb3843dff9e6c1771abd17e213",
"classzypp_1_1ZConfig.html#aea56fd6b12abfbd5a754e2d177720258",
"classzypp_1_1base_1_1DrunkenBishop.html#ab4912aba566853045544fb14f825a92c",
"classzypp_1_1debug_1_1Measure_1_1Impl.html#aa3e74ec4b556472c68c41a7b93871b1e",
"classzypp_1_1filesystem_1_1Pathname.html#a1114035054f85b92ed389e33c0b42bb9",
"classzypp_1_1media_1_1AuthData.html#af459cd246f955f040b7b9f50954e43cf",
"classzypp_1_1media_1_1MediaDISK.html#a9e86b20d407148d056cda87b263d95b4",
"classzypp_1_1media_1_1MediaNetworkCommonHandler.html#aeb084ef4cb3ed51fc8c451a0a0d38f74",
"classzypp_1_1media_1_1TransferSettings.html#af67a4ecd531cbf5241b3ca9af15b3d86",
"classzypp_1_1parser_1_1IniDict.html#a734e6326f886c2fa198a4584700301a4",
"classzypp_1_1repo_1_1PackageProviderImpl.html#a5c59106c7abe9edfbeaf594b5bf42cc0",
"classzypp_1_1sat_1_1ArrayAttr.html#aa785004202b75cfef690ae36755e6e1d",
"classzypp_1_1sat_1_1Pool.html#ad7347f7eaa13802813bda709bdb63f4e",
"classzypp_1_1sat_1_1Solvable.html#abb3759410d481d1b43664d9877844d5f",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a7da14dbf4dc49ad80118c74c8eb657ab",
"classzypp_1_1syscontent_1_1Reader_1_1Impl.html#a91244b4183feffa93ea04a0fb0526a9c",
"classzypp_1_1target_1_1TargetImpl.html#ac995a71686e4a432f131ba4bb7e872e8",
"classzypp_1_1target_1_1rpm_1_1librpmDb.html#a3cda5d2ac4893491785962ac85618432",
"classzypp_1_1url_1_1UrlBase.html#a69d6a5741bfa6c10db9d7e9a016ac395",
"classzypp_1_1zypp__detail_1_1ZYppImpl.html#a77864310d9b1ca7b285ce24aaa55a311",
"classzyppng_1_1HeaderValueMap.html",
"classzyppng_1_1NetworkRequestPrivate.html#ae682a541d688665a0541627fe9e42178",
"classzyppng_1_1ProvidePrivate.html#a7a46db1b0bed73439a196194c17174a6",
"classzyppng_1_1worker_1_1ProvideWorkerItem.html#a8f42d706bb63ccc49b7598d162302873aa67bf3cac4ca3df7c03ad1b054e3b208",
"core_2base_2String_8h.html#a296850110057ba4a464c16e7c019ca7f",
"core_2url_2UrlUtils_8h.html#aa6493515c0cb8f6935049b73293e5abf",
"functions_rela_p.html",
"group__ZYPP__SMART__PTR.html#ga64e69914d2ab6163c41566d0ee794ed8",
"namespaceinternal.html",
"onmedialocation_8h.html",
"solver_2detail_2Resolver_8cc.html#a6ae03d0431f65651213e4b3e6953118d",
"structzypp_1_1Date_1_1ETimeFormatDef.html#acef3a4117424fa43c319d3cbebf8a41fa7242c9b6c4c60d1616f94bd4a1ea702d",
"structzypp_1_1KeyRingReport.html#aa21babde03b80003d50acfa6af04d9b6",
"structzypp_1_1ProvideDirOperation.html#a726d797565e5e91671d9182fdbb44463",
"structzypp_1_1RepoManager.html#a389e28bbaae6eac4990f8fd35562c342",
"structzypp_1_1ServiceInfo_1_1Impl.html#a39226545f7331bcbfbbb982ea33a8a49",
"structzypp_1_1callback_1_1DistributeReport.html#af4b987356625de6a9c621bd77302afc6",
"structzypp_1_1log_1_1StreamLineWriter.html#a133c0f4ea15d5a0eb5c76206a49132e1",
"structzypp_1_1parser_1_1ProductNode.html#a22cd1ff65b49264c9ed66176a3e91d5d",
"structzypp_1_1rw__pointer_1_1Intrusive.html#a56e8bcb6ec0871889b15bff325ff0ac6",
"structzypp_1_1target_1_1Modalias_1_1Impl.html#a466f906ab7aaa263ef394fd746193229",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#ad190b04043f3c554fe9a82c95fb74ae4",
"structzyppng_1_1DlMetaLinkInfoState.html#a5f84e921d1102d5624956f1f7f5e7eb9",
"structzyppng_1_1RangeDownloaderBaseState.html#aa912cf9cbe2bdf184a32b52ef2da04da"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';